// REQ0006
import { COL_QUIZ_LP_QUESTIONS } from '@/constants';

import { pb } from '@/lib/pb';

export default async function getVisibleQuizLPQuestionsCount(): Promise<number> {
  try {
    const result = await pb.collection(COL_QUIZ_LP_QUESTIONS).getList(1, 9999, { filter: 'visible = "visible"' });
    const { totalItems: count } = result;
    return count;
  } catch (error) {
    return 0;
  }
}
